stages:
  - build
  - publish
  - test

include:
  - project: 'aanaz/devops-includes/gitlab-ci-extends/includes/docker-build'
    ref: v2.0.1
    file: docker-build.yml
  - project: 'aanaz/devops-includes/gitlab-ci-extends/includes/docker-publish'
    ref: v1.0.0
    file: docker-publish.yml

docker-build:
  extends: .docker-build
  variables:
    DOCKER_BUILD_IMAGE_NAME: ${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_NAME}
    DOCKER_BUILD_ARGS: ANSIBLE_VERSION=7.5.0 MOLECULE_VERSION=5.0.1 MOLECULE_DOCKER_VERSION=2.1.0

docker-publish:
  extends: .docker-publish

molecule-test:
  stage: test
  image: ${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_NAME}
  tags:
    - docker
  script:
    - molecule test
